.tmst-profile .tmst-container:not(.tmst-breadcrumbs) {
	padding-bottom: 80px;
}

.tmst-profile-content-wrapper {
	--box-radius-small: 3px;
	--box-background-color-inner: #f2f2f2;
	--box-border-color: #e6e6e6;
	--font-size-regular: 14px;
	--font-size-large: 16px;
	--font-color: #333;
	--font-color-muted: #a1a1a1;
	--success-bg: #e5ffeb;
	--success-color: #0dc33b;
	--error-bg: #ffe5e5;
	--error-color: #c30d1f;
	--loading-bg: #d0d0d0;

	border-radius: var(--box-radius);
	background-color: var(--box-background-color);
	padding: 30px;
}

.tmst-profile-title {
	font-size: 20px;
	font-weight: 450;
	margin-bottom: 26px;
	line-height: 1;
}

.tmst-profile-content {
	display: flex;
	gap: 100px;
}

.tmst-profile-content__left,
.tmst-profile-content__right {
	flex: 1;
}

.tlk-profile__item img,
.tlk-profile__item .tlk-upload__default-preview {
	height: 75px;
	width: 75px;
	border-radius: 50%;
}

.tlk-upload__default-preview {
	background: #232323;
	display: flex;
	justify-content: center;
	align-items: center;
}
.tlk-upload__default-preview svg {
	width: 30px;
	color: white;
}

.tlk-profile__item .tlk-input-title {
	font-size: var(--font-size-regular);
	line-height: 20px;
	opacity: 0.5;
	font-weight: 450;
	margin-bottom: 4px;
	gap: 2px;
}

.tlk-profile__item .t-input.t-input-phonemask__wrap,
.tlk-profile__item input:not(.t-input-phonemask) {
	border: 1px solid #d4d7db;
	border-radius: 4px;
	height: 44px;
}
.tlk-profile__item input:not(.t-input-phonemask) {
	max-width: 560px;
}

.tlk-profile__item .t-input-phonemask__wrap .t-input-phonemask {
	color: unset;
	width: 100%;
}

.tlk-profile__form-wrap {
	display: flex;
	flex-direction: column;
	gap: 15px;
}

.tmst-profile-content-wrapper .tlk-input-error.tlk-input-error_all {
	margin-top: 34px;
	margin-bottom: -24px;
	max-width: 560px;
}

.tlk-profile__regular-button {
	background-color: var(--box-background-color-inner);
	height: 30px;
	min-width: 136px;
	border: 1px solid var(--box-border-color);
	border-radius: var(--box-radius-small);
	font-size: var(--font-size-regular);
	line-height: 1.5;
	margin-top: 8px;
	color: unset;
	cursor: pointer;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	text-decoration: none;
	/* перебиваем стили прилетающие с хедером и футтером */
	color: var(--text-color) !important;
	font: inherit;
	padding: 0 8px;
}

.tlk-select-custom {
	position: relative;
	width: 100%;
	cursor: pointer;
}

.tlk-select-custom__selected {
	border: 1px solid #d4d7db;
	border-radius: 4px;
	padding: 10px;
	background-color: transparent;
	font-size: var(--font-size-large);
	height: 44px;
	display: flex;
	align-items: center;
	position: relative;
}

.tlk-select-custom__selected::after {
	content: '';
	position: absolute;
	top: 60%;
	right: 10px;
	transform: translateY(-50%);
	border: 6px solid transparent;
	border-top-color: #d4d7db;
	pointer-events: none;
}

.tlk-select-custom ul.tlk-select-custom__options {
	position: absolute;
	top: 100%;
	left: 0;
	right: 0;
	background-color: var(--box-background-color__no-transparency);
	border: 1px solid #d4d7db;
	border-radius: 4px;
	margin-top: 5px;
	display: none;
	z-index: 10;
	list-style: none;
	padding: 0;
}
#allrecords ul.tlk-select-custom__options {
	padding-left: 0;
}

.tlk-select-custom__options li {
	padding: 10px;
	font-size: var(--font-size-regular);
	cursor: pointer;
}

.tlk-select-custom__options li:hover {
	background-color: #e9ecef20;
}

.tlk-select-custom__options li.selected {
	font-weight: bold;
	background-color: #e9ecef40;
}

.tlk-select-custom.open .tlk-select-custom__options {
	display: block;
}

.tlk-profile__buttons {
	margin-top: 34px;
	display: flex;
	max-width: 560px;
	gap: 8px;
}

.tlk-password-input-wrapper {
	position: relative;
	max-width: 560px;
}

.tlk-btn.tlk-profile__close-save {
	width: 100%;
	height: 47px;
	border-radius: 6px;
	font-size: var(--font-size-regular);
	background-color: #fa8669;
	color: #fff;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	font: inherit;
}

.tlk-btn.tlk-profile__close-save__dark {
	color: #fff;
	background-color: #000000;
}

.tlk-btn.tlk-profile__close-save__light {
	color: #000000;
	background-color: #ffffff;
}

.tlk-btn.tlk-profile__cancel-button {
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #f1f1f1;
	border-radius: 6px;
	text-decoration: none;
	/* перебиваем стили прилетающие с хедером и футтером */
	color: var(--text-color) !important;
	border: 1px solid var(--box-border-color);
}

.tlk-btn.tlk-profile__cancel-button__dark {
	color: #000000 !important;
	background-color: #ffffff;
}

.tlk-btn.tlk-profile__cancel-button__light {
	color: #ffffff !important;
	background-color: #000000;
}

.tlk-password-input-wrapper .tlk-input {
	letter-spacing: 2px;
}

.tlk-password-input-wrapper .tlk-password-toggle {
	bottom: 13px;
}

.tlk-profile__close-save__success,
.tlk-profile__close-save__loading,
.tlk-profile__close-save__error {
	cursor: default;
	pointer-events: none;
	font-weight: 500;
}

.tlk-btn.tlk-profile__close-save__success {
	background-color: var(--success-bg);
	color: var(--success-color);
}

.tlk-btn.tlk-profile__close-save__loading {
	background-color: var(--loading-bg);
	color: var(--font-color-muted);
}

.tlk-btn.tlk-profile__close-save__error {
	background-color: var(--error-bg);
	color: var(--error-color);
}

.tlk-profile-dropdown {
	position: relative;
	display: inline-block;
}

.tlk-profile-dropdown-menu {
	display: none;
	position: absolute;
	top: 110%;
	left: 0;
	background-color: var(--box-background-color-inner);
	border: 1px solid var(--box-border-color);
	border-radius: var(--box-radius-small);
	z-index: 1000;
	min-width: 190px;
	max-height: 74px;
	padding: 0;
	flex-direction: column;
	justify-content: center;
	box-shadow:
		0px 0px 1px -1px rgba(0, 0, 0, 0.66),
		0px 4px 6px -1px rgba(0, 0, 0, 0.26);
}

.tlk-profile-dropdown-arrow {
	position: absolute;
	top: -10px;
	left: 20px;
	width: 0;
	height: 0;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	border-bottom: 10px solid var(--box-border-color);
	z-index: 1;
}

.tlk-profile-dropdown-arrow::before {
	content: '';
	position: absolute;
	top: 2px;
	left: -11px;
	width: 0;
	height: 0;
	border-left: 11px solid transparent;
	border-right: 11px solid transparent;
	border-bottom: 11px solid var(--box-background-color-inner);
	z-index: -1;
}

.tlk-profile-dropdown-menu .tlk-profile-dropdown-list {
	padding: 12px 16px;
	list-style: none;
	margin: 0;
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	gap: 8px;
}

.tlk-profile-dropdown-item {
	cursor: pointer;
	color: var(--font-color);
	font-size: var(--font-size-regular);
	line-height: 20px;
	text-align: left;
	transition: background-color 0.3s;
	white-space: nowrap;
}

.tlk-profile-dropdown-item .tlk-upload-label {
	cursor: pointer;
	width: 100%;
}

.tlk-profile-dropdown.show .tlk-profile-dropdown-menu {
	display: flex;
}

.tlk-password-icon-hidden {
	background: url('../img/eye-closed.svg') no-repeat center center;
	background-size: contain;
	display: inline-block;
	width: 20px;
	height: 20px;
}

.tlk-password-icon-visible {
	background: url('../img/eye-open.svg') no-repeat center center;
	background-size: contain;
	display: inline-block;
	width: 20px;
	height: 20px;
}

@media screen and (max-width: 768px) {
	.tmst-profile-content {
		display: flex;
		gap: 20px;
		flex-direction: column-reverse;
	}

	.tlk-profile__item .t-input-phonemask__wrap,
	.tlk-profile__item input:not(.t-input-phonemask),
	.tlk-profile__buttons,
	.tlk-password-input-wrapper {
		max-width: unset;
	}

	.tlk-profile__buttons {
		flex-direction: column;
	}
}

.tlk-popup__warning-icon {
	height: 14px;
	margin: auto 0;
}

.tlk-app-bg {
	position: absolute;
	width: 100%;
	height: 100%;
}

#app .tmst-profile {
	z-index: 2;
}
